Name:           jetty-version-maven-plugin
Version:        1.0.7
Release:        %mkrel 9
Summary:        Jetty version management Maven plugin
Group:          Development/Java

License:        ASL 2.0 or EPL
URL:            http://www.eclipse.org/jetty/
Source0:        http://git.eclipse.org/c/jetty/org.eclipse.jetty.toolchain.git/snapshot/%{name}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.eclipse.jetty.toolchain:jetty-toolchain)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
Jetty version management Maven plugin

%package        javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description    javadoc
%{summary}.


%prep
%setup -q
# copy license files
cp -p jetty-distribution-remote-resources/src/main/resources/* .

# we have java.util stuff in JVM directly now
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=401163
sed -i 's|edu.emory.mathcs.backport.||' \
    jetty-version-maven-plugin/src/main/java/org/eclipse/jetty/toolchain/version/Release.java

%build
pushd %{name}
# skip tests because we don't have jetty-test-helper (yet)
%mvn_build -f

%install
pushd %{name}
%mvn_install

%files -f %{name}/.mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-APACHE-2.0.txt LICENSE-ECLIPSE-1.0.html notice.html

%files javadoc -f %{name}/.mfiles-javadoc
%doc LICENSE-APACHE-2.0.txt LICENSE-ECLIPSE-1.0.html notice.html


%changelog
* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.7-9.mga4
+ Revision: 559909
- Build with xmvn
- Build with maven-local
- Fix backport-util-concurrent dependency
- Use file lists

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.0.7-5.mga3
+ Revision: 399147
- Adapt to new API name
- imported package jetty-version-maven-plugin


* Fri Nov  4 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.7-2
- Add minimal maven version for BR

* Thu Nov  3 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.7-1
- Initial version of the package

